// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import 'jquery'
import VueQriously from 'vue-qriously'
// import "../static/css/common.css"
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import './assets/css/tabelement.css'
import './assets/css/iconfont/iconfont.css'
import echarts from "echarts";


import api from './assets/js/api.js'
import base from './assets/js/base.js'
import path from './assets/js/path.js'
import Axios from './axios/Axios.js'


Vue.use(ElementUI)
Vue.use(VueQriously)
Vue.config.productionTip = false

Vue.prototype.$ip = base.ip;
Vue.prototype.$api = api.api;
Vue.prototype.$message = base.message;
Vue.prototype.$exitTop = base.exitTop;
Vue.prototype.$axios = Axios;
Vue.prototype.$path = path.url;

Vue.prototype.$echarts=echarts//全局的echarts


// console.log = function () {}

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
